From: Roland Haeder <roland@mxchange.org>
Date: Mon, 18 Apr 2016 18:53:03 +0000 (+0200)
Subject: Continued:
X-Git-Url: https://git.mxchange.org/?a=commitdiff_plain;h=1ab193e41392e4c72b25f90058e53237fb9e65cd;p=jcustomer-lib.git

Continued:
- line-feed is now LF which prevents converting
- updated dist.sh for better personal-domain support
- updated jar(s)
---

diff --git a/.gitattributes b/.gitattributes
index dfe0770..17cdcd5 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1,2 +1,2 @@
-# Auto detect text files and perform LF normalization
-* text=auto
+# Use Linux/Uni* line-feed for new lines (prevents converting)
+* text=lf
diff --git a/dist.sh b/dist.sh
index b74103b..54fcb45 100755
--- a/dist.sh
+++ b/dist.sh
@@ -29,6 +29,7 @@ PERSONAL_DOMAIN_PATH="${HOME}/personal_domain/lib"
 
 # Generate list
 LIST=`find ../*/lib/${NAME}.jar`
+LIST="${LIST} `find ../*/*-ejb/lib/${NAME}.jar`"
 LIST="${LIST} ${WILDFLY_MODULE_PATH}"
 
 if [ -d "${GLASSFISH_BASE_PATH}" ]
@@ -37,6 +38,12 @@ then
 	LIST="${LIST} ${GLASSFISH_BASE_PATH}"
 fi
 
+if [ -d "${PERSONAL_DOMAIN_PATH}" ]
+then
+	echo "$0: Personal domain found, adding to LIST ..."
+	LIST="${LIST} ${PERSONAL_DOMAIN_PATH}"
+fi
+
 if [ ! -f "${DIST}" ]
 then
 	echo "$0: '${DIST}' not found."
@@ -44,17 +51,12 @@ then
 elif [ ! -d "${WILDFLY_MODULE_BASE_PATH}" ]
 then
 	echo "$0: WildFly base path '${WILDFLY_MODULE_BASE_PATH}' not created."
+	exit 1
 elif [ ! -d "${WILDFLY_MODULE_PATH}" ]
 then
 	mkdir -vp "${WILDFLY_MODULE_PATH}"
 fi
 
-if [ -d "${PERSONAL_DOMAIN_PATH}" ]
-then
-	echo "$0: Personal domain found, copying file '${DIST}' ..."
-	cp -v "${DIST}" "${PERSONAL_DOMAIN_PATH}"
-fi
-
 for project in ${LIST};
 do
 	if [ -d "${project}" ]
@@ -69,7 +71,7 @@ do
 
 done
 
-if [ "$1" != "r" -a -n "${GLASSFISH_SSH_PATH}" -a -n "${GLASSFISH_SSH_SERVER}" ]
+if [ -n "${GLASSFISH_SSH_PATH}" -a -n "${GLASSFISH_SSH_SERVER}" ]
 then
 	echo "$0: Copying to remote '${GLASSFISH_SSH_SERVER}' ..."
 	scp "${DIST}" "${GLASSFISH_SSH_SERVER}:${GLASSFISH_SSH_PATH}"